<template>
  <div class="editor-tools">
    <!-- The editor bar and player container -->
    <v-card v-show="showBar" class="toolbar" elevation="5">
      <slot :hide-bar="() => showBar = false" />
    </v-card>
    <!-- The button to unhide the editor bar -->
    <div
      v-show="!showBar"
      class="show-bar-button"
    >
      <v-btn
        tile
        color="white"
        class="grey--text pl-6"
        @click="showBar = true"
      >
        <v-icon left>
          mdi-chevron-double-up
        </v-icon>
        {{ $t('button.show') }}
      </v-btn>
    </div>
    <div />
  </div>
</template>

<script lang="ts">
import {
  Vue, Component,
} from 'vue-property-decorator';

/**
 * A footer that can be hidden or shown
 */
@Component
export default class BarContainer extends Vue {
  showBar = true;
}

</script>
<style scoped lang="scss">
.editor-tools {
  display: flex;
}
.toolbar {
  // width: min(100%, 1000px);
  width: 100%;
  align-self: center;
  flex-shrink: 1;
  z-index: 2;
  display: flex;
}
.show-bar-button {
  position: fixed;
  bottom: 0;
}
</style>
